List All Prospects
curl --request GET \
--url https://api.trata.ai/v1/prospects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trata.ai/v1/prospects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trata.ai/v1/prospects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "pro.1731301754.OZSMSU1S",
"orgId": "org.1726902940.GZChqlpU",
"name": "Hari",
"phoneNumber": "96260-12778",
"externalReference": [],
"status": "SERVICE_ORDER_PLACED",
"prospectProps": {},
"createdBy": "trata-system",
"createdAt": "2024-11-11T05:09:14.979287",
"updatedBy": "trata-system",
"updatedAt": "2024-11-11T05:09:14.979289"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Prospects
List All Prospects
List All Prospects
GET
/
v1
/
prospects
List All Prospects
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Field name to search by
Value to search for in the specified field
Filter by status
Field to sort by
Sort order (asc or desc)
Available options:
asc, desc Number of records to skip
Required range:
x >= 0Maximum number of records to return
Required range:
1 <= x <= 100Response
List of prospects retrieved successfully
Show child attributes
Show child attributes
